# Class VulkanLWJGLImageCopies

java.lang.Object
com.io7m.jcoronado.lwjgl.internal.VulkanLWJGLImageCopies

public final class VulkanLWJGLImageCopies extends Object
Functions to pack image copy info.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.lwjgl.vulkan.VkImageCopy`
  `pack(org.lwjgl.system.MemoryStack stack, VulkanImageCopy info)`
  Pack a structure.
  `static org.lwjgl.vulkan.VkImageCopy`
  `packInto(org.lwjgl.system.MemoryStack stack, VulkanImageCopy source, org.lwjgl.vulkan.VkImageCopy target)`
  Pack a structure.
  `static org.lwjgl.vulkan.VkImageCopy.Buffer`
  `packList(org.lwjgl.system.MemoryStack stack, List<VulkanImageCopy> infos)`
  Pack structures.
  `static org.lwjgl.vulkan.VkImageCopy.Buffer`
  `packListOrNull(org.lwjgl.system.MemoryStack stack, List<VulkanImageCopy> infos)`
  Pack structures.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### pack

    public static org.lwjgl.vulkan.VkImageCopy pack(org.lwjgl.system.MemoryStack stack, VulkanImageCopy info)
    Pack a structure.
    Parameters:
      `stack` - A stack
      `info` - A structure
    Returns:
      A packed structure

  - ### packInto

    public static org.lwjgl.vulkan.VkImageCopy packInto(org.lwjgl.system.MemoryStack stack, VulkanImageCopy source, org.lwjgl.vulkan.VkImageCopy target)
    Pack a structure.
    Parameters:
      `stack` - A stack
      `source` - The input structure
      `target` - The output structure
    Returns:
      A packed structure

  - ### packList

    public static org.lwjgl.vulkan.VkImageCopy.Buffer packList(org.lwjgl.system.MemoryStack stack, List<VulkanImageCopy> infos) throws VulkanException
    Pack structures.
    Parameters:
      `stack` - A stack
      `infos` - A list of structures
    Returns:
      A list of packed structure
    Throws:
      `VulkanException` - On errors

  - ### packListOrNull

    public static org.lwjgl.vulkan.VkImageCopy.Buffer packListOrNull(org.lwjgl.system.MemoryStack stack, List<VulkanImageCopy> infos) throws VulkanException
    Pack structures.
    Parameters:
      `stack` - A stack
      `infos` - A list of structures
    Returns:
      A list of packed structure
    Throws:
      `VulkanException` - On errors